Just gonna leave this here...Suspicious Package 3.0 is out...

donmontalvo
Esteemed Contributor II

Suspicious Package 3.0

--
https://donmontalvo.com
1 ACCEPTED SOLUTION

spalmer
Contributor III

@donmontalvo I have been using version 3 for a few weeks and it works great. It no longer actually needs the .qlgenerator file to reside in /Library/QuickLook/ and it should use the new version bundled inside the app even if both are installed. There is even an option to remove the old .qlgenerator file.

See http://www.mothersruin.com/software/SuspiciousPackage/faq.html#qlmanage and http://www.mothersruin.com/software/SuspiciousPackage/faq.html#cleanup-plugin for more info.

View solution in original post

5 REPLIES 5

donmontalvo
Esteemed Contributor II

I let the developer know, launching Suspicious Package 3.0 does not automagically update /Library/QuickLook/Suspicious Package.qlgenerator, so may want to create a symbolic link until 3.0.1 is out:

sudo ln -s /Applications/Suspicious Package.app/Contents/Library/QuickLook/Suspicious Package.qlgenerator /Library/QuickLook/Suspicious Package.qlgenerator
--
https://donmontalvo.com

spalmer
Contributor III

@donmontalvo I have been using version 3 for a few weeks and it works great. It no longer actually needs the .qlgenerator file to reside in /Library/QuickLook/ and it should use the new version bundled inside the app even if both are installed. There is even an option to remove the old .qlgenerator file.

See http://www.mothersruin.com/software/SuspiciousPackage/faq.html#qlmanage and http://www.mothersruin.com/software/SuspiciousPackage/faq.html#cleanup-plugin for more info.

donmontalvo
Esteemed Contributor II

@spalmer thanks for the heads up, didn't see that!

Bump...3.3 is out...um...you'll want to update. ;)

--
https://donmontalvo.com

donmontalvo
Esteemed Contributor II

To disable updates and notification of update, appears to be in user domain:

defaults write com.mothersruin.SuspiciousPackage HideUpdateNotifications -bool TRUE
defaults write com.mothersruin.SuspiciousPackage UpdateCheckDisabled -bool TRUE
--
https://donmontalvo.com

SGill
Contributor III

From the 3.3 Release notes:

  • Removed support for OS X 10.10 (Yosemite) and OS X 10.9 (Mavericks)